Subject: Re: [PATCH v5 00/12] Introduce git-history(1) command for easy history editing

From: Junio C Hamano <[email-masked]>
Date: Tue, 21 Oct 2025 11:53:25 -0700

Patrick Steinhardt <[email-masked]> writes:

> A copule of these features relate to history editing. Most importantly,
> I really dig the following commands:
>
>   - jj-abandon(1) to drop a specific commit from your history.
>
>   - jj-absorb(1) to take some changes and automatically apply them to
>     commits in your history that last modified the respective hunks.
>
>   - jj-split(1) to split a commit into two.
>
>   - jj-new(1) to insert a new commit after or before a specific other
>     commit.
>
> Not all of these commands can be ported directly into Git. jj-new(1) for
> example doesn't really make a ton of sense for us, I'd claim. But some
> of these commands _do_ make sense.
>
> This patch series is a starting point for such a command. I've
> significantly slimmed it down from the first couple revisions now
> following the discussions at the Contributor's Summit yesterday. This
> was my intent anyway, as I already mentioned on the last iteration.

Will replace.  The other topic this depends on seems to be almost
ready, hopefully, and the part this series depends on should not
change much, even though what is remaining may be a bit more than
finding where to squash the tip "SQUASH" fixup in.

Thanks.